Skip to main content
POST
/
api
/
external
/
companies
/
{companyId}
/
submissions
curl --request POST \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/submissions \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "quote"
}
'
{
  "id": "550e8400-e29b-41d4-a716-446655440003"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aiinsurance.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Body

application/json
type
enum<string>
required

External API submission type. Use 'quote' for new business submissions.

Available options:
quote,
renewal,
endorsement,
cancellation,
reinstatement
renewingPolicyId
string<uuid>

Policy ID being renewed (for renewal submissions)

isEmailSubmission
boolean

When true, the submission appears in the Inbox tab

Response

Submission created successfully

id
string<uuid>

The ID of the created submission